/**
 * PithHelmet
 * @author Mike Solomon
 * Copyright 2003 Mike Solomon. All rights reserved.
 * $Header: /Users/msolomon/Developer/cvs/PithHelmet/Cocoa_Extensions.m,v 1.2 2003/04/29 09:00:03 msolomon Exp $
 */

RCS_ID("$Id: Cocoa_Extensions.m,v 1.2 2003/04/29 09:00:03 msolomon Exp $")

#import "Cocoa_Extensions.h"


@implementation NSString (Cocoa_Extensions)

- (NSString *) urlEncode
{
	NSString* result = (NSString *) CFURLCreateStringByAddingPercentEscapes(
		NULL, (CFStringRef) self, (CFStringRef) @"%+#", NULL,
		CFStringConvertNSStringEncodingToEncoding(NSUTF8StringEncoding));
	return result;
}

@end

@implementation NSDictionary (Cocoa_Extensions)

- (BOOL) boolForKey:(id)_key
{
	NSNumber* number = [self objectForKey:_key];
	if (number == nil)
		return NO;
	
	return [number boolValue];
}


- (int) intForKey:(id)_key;
{
	NSNumber* number = [self objectForKey:_key];
	if (number == nil)
		return 0;
	
	return [number intValue];
}

@end
