/**
 * PithHelmet
 * Copyright 2003, Mike Solomon <mas63@cornell.edu>
 * $Header: /Users/msolomon/Developer/cvs/PithHelmet/NSPreferences_PithHelmet.m,v 1.2 2003/04/12 06:05:53 msolomon Exp $
 *
 * Code concept from GPGMail plugin.
 */

RCS_ID("$Id: NSPreferences_PithHelmet.m,v 1.2 2003/04/12 06:05:53 msolomon Exp $")

#import "PithHelmetPreferences.h"

@implementation NSPreferences_PithHelmet : NSPreferences

+ (void) load
{
	[NSPreferences_PithHelmet poseAsClass:[NSPreferences class]];
}

+ sharedPreferences
{
	static BOOL	added = NO;
	id preferences = [super sharedPreferences];

	if(preferences != nil && !added)
	{
		added = YES;
		[preferences addPreferenceNamed:@"PithHelmet" owner:[PithHelmetPreferences sharedInstance]];
	}
	
	return preferences;
}

- (NSWindow*) window
{
	return preferencesPanel;
}

@end
